onedrive(1)

NAME
onedrive - folder synchronization with OneDrive

SYNOPSIS
onedrive [OPTION]...

DESCRIPTION
Without any argument the program syncs with OneDrive and exits. -m --monitor Keep monitoring for local and remote changes.

--resync Forget the last saved state, perform a full sync.

--logout Logout the current user.

--confdir Set the directory to use to store the configuration files.

-v --verbose Print more details, useful for debugging.

-h --help This help information.

FEATURES
State caching Real-Time file monitoring with Inotify Resumable uploads

MISSING FEATURES
OneDrive for business is not supported While local changes are uploaded right away, remote changes are delayed. No GUI

CONFIGURATION
You should copy the default config file into your home directory before making changes:

mkdir -p ~/.config/onedrive
cp /usr/local/etc/onedrive.conf ~/.config/onedrive/config

Available options:

client_id: application identifier necessary for the authentication

sync_dir: directory where the files will be synced

skip_file: any files that match this pattern will be skipped during sync

skip_dir: any directories that match this pattern will be skipped during sync

Pattern are case insensitive. * and ? wildcards characters are supported. Use | to separate multiple patterns.

FIRST RUN
The first time you run the program you will be asked to sign in. The procedure require a web browser.

SERVICE
If you want to sync your files automatically, enable and start the systemd service: systemctl --user enable onedrive systemctl --user start onedrive To see the logs run: journalctl --user-unit onedrive -f

NOTES

After changing the filters (`skip_file` or `skip_dir` in your configs) you must execute `onedrive --resync`

Windows naming conventions apply